## org.red5.server.messaging
Interface IPipeConnectionListener

All Known Implementing Classes:
  BroadcastScope, ClientBroadcastStream, ConnectionConsumer, ConnectionProvider, FileConsumer, FileProvider, PlayEngine, ServerStream, StreamBandwidthController, StreamingProxy

    public interface IPipeConnectionListener

A listener that wants to listen to events when provider/consumer connects to or disconnects from a specific pipe.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Method Summary
`void` `onPipeConnectionEvent(PipeConnectionEvent event)` Pipe connection event handler

Method Detail

### onPipeConnectionEvent

    void onPipeConnectionEvent(PipeConnectionEvent event)

  Pipe connection event handler

  Parameters:
    `event` - Pipe connection event

Copyright © 2006-2010 The Red5 Project